var img_file 	= '';
var json_img 	= {};
var rand_img 	= 0;

function fn_xmto_buscar_xeqo() {
	var res 	= 0;
	swal({
  		title 			 	: 'Ingresar Código Patrimonial',
  		html 			 	:'<input id="txt_codpat" name="txt_codpat" class="swal2-input">',
  		showCancelButton 	: true,
  		confirmButtonClass	: 'btn btn-primary',
  		cancelButtonClass 	: 'btn btn-danger',
  		showLoaderOnConfirm : true,
  		preConfirm 			: function () {
  			return new Promise(function (resolve, reject) {
    			if($('#txt_codpat').val()==''){
    				reject('Ingrese un código!');
    				$('#txt_codpat').focus();
    			}else{
    				$.ajax({
    					url 	: ruta + 'inventario/buscar/',
    					data 	: {
    						codpat 	: $('#txt_codpat').val()
    					},
    					type 	: 'post',
    					dataType: 'json',
    					success : function (data) {
    						$('#txt_id_xeqo').val(0);
    						$('#txt_xeo').val(0);
							$('#txt_id_xmqo').val(0);
							$('#codpat').html('');
							$('#serie').html('');
							$('#marca').html('');
							$('#modelo').html('');
							$('#equipo').html('');
    						if(data[0]!='0'){
    							res = 1;
    							$('#txt_id_xeqo').val(data[0]);
    							$('#codpat').html(data[1]);
    							$('#serie').html(data[2]);
    							$('#marca').html(data[3]);
    							$('#modelo').html(data[4]);
    							$('#equipo').html(data[5]);
    							$('#txt_xeo').val(data[6]);
    							$('#txt_id_xmqo').val(data[7]);
    						}
    						resolve();
    					}
    				});
    			}
    		});
  		},
  		/*preConfirm: function () {
    		
  		},*/
  		onOpen: function () {
    		$('#txt_codpat').focus()
  		}
	}).then(function () {
		if(res>0){
			swal({
				title 	: 'Mensaje!',
				type 	: 'info',
				html 	: 'Equipo encontrado exitosamente.'
			});
		}else{
			swal({
				title 	: 'Mensaje!',
				type 	: 'warning',
				html 	: 'Equipo no encontrado encontrado.'
			});
		}
	});
}

function fn_xmto_listar () {
    $('#xmto_data').DataTable().destroy();
    $.ajax({
        url     : ruta + 'soporte/xmto/listar_enviados',
        data    : {
            xeo     : 0,
            xeqo    : $('#cbo_xeqo option:selected').val(),
            desde   : $('#txt_desde').val(),
            hasta   : $('#txt_hasta').val(),
            opcion  : $('input[name="rb_bandeja"]:checked').val(),
            destino : $('#cbo_destino option:selected').val(),
            codpat  : $('#txt_cod_pat').val()
        },
        type    : 'post',
        dataType: 'json',
        success : function (data) {
            $('#xmto_data tbody').html(data[0]);
            $('#xmto_data').DataTable({
                "searching"     : false,
                "scrollY"       : ($(window).height()) + "px",
                "scrollCollapse": true,
                "paging"        : false
            });
        }
    });
}